---
wsId: 
title: eBitcoinics Inc - Simplified gateway to blockchain
altTitle: 
authors:
- danny
users: 1000
appId: io.ebitconics.com
appCountry: 
released: 2021-01-18
updated: 2021-01-18
version: 0.0.2
stars: 
ratings: 
reviews: 
size: 
website: https://www.ebitcoinics.com/
repository: 
issue: 
icon: io.ebitconics.com.png
bugbounty: 
meta: stale
verdict: nowallet
date: 2022-01-16
signer: 
reviewArchive: 
twitter: eBitcoinics
social:
- https://www.facebook.com/eBitcoinics
redirect_from: 

---

## App Description

This Nigerian and Ghanan-focused app allows users in the "buying, selling, storing, sending, receiving, converting between cryptocurrencies, booking flights, shopping online with nationwide delivery and bill payments."

## The App

When we were finally able to register and log in to the site, we were greeted with a message that the wallet feature is ["coming soon"](https://twitter.com/BitcoinWalletz/status/1460159363566346241) and is not currently available. Users should [provide their own bitcoin wallet addresses](https://twitter.com/BitcoinWalletz/status/1460158731660922885/photo/1) if they're going to buy. Contrary to the content written on its app page and website, they currently have **no wallet**.

